Taslak Elips

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Ellipse and the translation is 82% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎
Arrow-left.svg Previous: Draft Arc.svg Arc
Next: Polygon Draft Polygon.svg Arrow-right.svg

Draft Ellipse.svg Elips

Menü konumu
Taslak → Elips
Tezgahlar
Taslak, Mimari
Varsayılan kısayol
E L
Versiyonda tanıtıldı
0.17
Ayrıca bkz
Çember, Yay


Tanım

Elips aracı, elipsin sığacağı dikdörtgen bir kutunun köşesini tanımlayarak iki nokta girerek mevcut Çalışma düzlemi içinde bir elips oluşturur. Taslak Tepsi Görevler sekmesinde önceden ayarlanmış olan Çizgi stili alır.

Bu araç, başlangıç ve bitiş açılarını belirleyerek eliptik yaylar oluşturmak için de kullanılabilir. Çember ve dairesel yaylar oluşturmak için Çember ve Yay araçlarını kullanın. BSpline ve Bezier eğrisi araçlarını kullanarak da bir eliptik veya dairesel yay yaklaştırabilirsiniz.

Draft ellipse example.jpg

Dikdörtgen köşeleri tarafından tanımlanan elips


Nasıl kullanılır

  1. Draft Ellipse.png Elips düğmesine basın veya E ardından L tuşları.
  2. 3d görünümde bir ilk noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.
  3. 3D görünümünde ikinci bir noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.

Elips, ilk açı ve son açı özelliklerini farklı değerlere ayarlayarak, oluşturulduktan sonra eliptik bir yay haline getirilebilir.

Seçenekler

  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı yerleştirmek istediğiniz değerleri aldığınızda Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Görecelimoduna geçmek için R tuşuna basın veya onay kutusunu tıklayın. Göreceli mod açıksa, ikinci noktanın koordinatları birincisine göredir; değilse, kesindir, kökenlerinden alınır (0,0,0).
  • Devammoduna geçmek için T tuşuna basın veya onay kutusunu tıklayın. Devam modu açıksa, Elips aracı şekli tamamladıktan sonra yeniden başlatılır ve araç düğmesine tekrar basmadan bir tane daha çizmenize olanak sağlar.
  • Dolu moduna geçmek için L tuşuna basın veya onay kutusunu tıklayın. Dolu mod açıksa, elips dolu bir yüz oluşturur (VERİMake Face True); değilse, elips bir yüz oluşturmaz (VERİMake Face False).
  • Yakalama noktanızı mesafeden bağımsız olarak, en yakın çeki konumuna yönlendirmek için çizim yaparken Ctrl tuşunu basılı tutun.
  • İlk noktanıza göre ikinci noktanızı yatay veya dikey olarak Kısıtlama çizerken Shift tuşunu basılı tutun.
  • Geçerli komutu iptal etmek için Esc veya Kapat düğmesine basınız.

Özellikler

Özellikleri

Bir Elips nesnesi Çember 'in tüm özelliklerini paylaşır, ancak bazı özellikler sadece çember için geçerlidir.

Veri

  • VERİFirst Angle: elipsin ilk noktasının açısını belirtir; normalde 0°.
  • VERİLast Angle: elipsin son noktasının açısını belirtir; normalde 0°.
  • VERİMajor Radius: elipsin ana yarıçapını belirtir.
  • VERİMinor Radius: elipsin küçük yarıçapını belirtir.
Her iki yarıçap da aynı değere sahipse, elips bir Taslak Çember ile aynı görünür.
  • VERİMake Face: Elipsin bir yüz yapıp yapmayacağını belirtir. Eğer True ise bir yüz yaratılır, aksi takdirde sadece çevre nesnenin bir parçası olarak kabul edilir. Bu özellik, yalnızca şekil tam bir elips ise çalışır.
Tam bir elips olması için VERİFirst Angle ve VERİLast Angle aynı değere sahip olmalıdır; Aksi takdirde, eliptik bir yay görüntülenir. 0° ve 360° değerleri aynı olarak kabul edilir.

Görünüm

  • GÖRÜNÜMDesen: şeklin yüzünü doldurmak için bir Desen belirtir. Bu özellik yalnızca VERİYüz yapmak True ise ve GÖRÜNÜMEkran modu "Düz Çizgiler" ise çalışır.
  • GÖRÜNÜMDesen boyutu: Desen 'inin boyutunu belirtir.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Elips aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

Ellipse = makeEllipse(majradius, minradius, placement=None, face=True, support=None)
  • Milimetre cinsinden verilen büyük (majradius) ve küçük (minradius) yarıçapı ile bir Ellipse nesnesi oluşturur.
    • Başka bir yerleşim yapılmazsa, büyük yarıçap (X ekseni) için daha büyük değer kullanılacaktır.
  • Bir placement verilirse kullanılır; Aksi halde, şekil başlangıçta oluşturulur.
  • Eğer face True ise, elips bir yüz yapacaktır, yani dolu görünecektir.

Örnek:

import FreeCAD, Draft

Ellipse1 =  Draft.makeEllipse(3000, 200)
Ellipse2 =  Draft.makeEllipse(700, 1000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Ellipse3 =  Draft.makeEllipse(700, 1000, placement=place3)